Print Friendly

# Class YAHOO.widget.LogMsg

Package: | YAHOO.widget
Class: | LogMsg
Extends: | Object
Defined In: | logger.js

The LogMsg class defines a single log message.

## Public Properties

Property | Defined By
--- | ---
| category : String | LogMsg
Log category.
| msg : String | LogMsg
Log message.
| source : String | LogMsg
Log source. The first word passed in as the source argument.
| sourceDetail : String | LogMsg
Log source detail. The remainder of the string passed in as the source argument, not including the first word (if any).
| time : Date | LogMsg
Log timestamp.

## Public Methods

Method | Defined By
--- | ---
| LogMsg(`oConfigs {Object}`) | LogMsg

## Public Events

This class has no public events.

## Property Details

### category

`public String category`
Log category.
This property is defined by LogMsg.

### msg

`public String msg`
Log message.
This property is defined by LogMsg.

### source

`public String source`
Log source. The first word passed in as the source argument.
This property is defined by LogMsg.

### sourceDetail

`public String sourceDetail`
Log source detail. The remainder of the string passed in as the source argument, not including the first word (if any).
This property is defined by LogMsg.

### time

`public Date time`
Log timestamp.
This property is defined by LogMsg.

## Constructor Details

### LogMsg

`public function LogMsg(`oConfigs {Object}`)`
Parameters:

- `{Object}` : oConfigs
  Object literal of configuration params.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.